﻿using System;
using System.IO;
using PSO2SERVER.Protocol.Packets;
using PSO2SERVER.Database;

namespace PSO2SERVER.Protocol.Handlers
{
    [PacketHandlerAttr(0x03, 0x0C)]
    public class ServerPong : PacketHandler
    {
        #region implemented abstract members of PacketHandler

        public override void HandlePacket(Client context, byte flags, byte[] data, uint position, uint size)
        {
            Logger.Write("[HI!] 收到 {0} Ping回应 ", context._account.Username);
        }

        #endregion
    }
}